# Uses of Interface
net.sourceforge.jiu.data.RGBIntegerImage

Packages that use RGBIntegerImage
Package
Description
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of RGBIntegerImage in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment with parameters of type RGBIntegerImage
Modifier and Type
Method
Description
`private void`
HueSaturationValue.`process(RGBIntegerImage in, RGBIntegerImage out)`

## Uses of RGBIntegerImage in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type RGBIntegerImage
Modifier and Type
Method
Description
`private void`
MeanDifference.`process(RGBIntegerImage image1, RGBIntegerImage image2)`

## Uses of RGBIntegerImage in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type RGBIntegerImage
Modifier and Type
Method
Description
`private boolean`
AutoDetectColorType.`isRgbGray(RGBIntegerImage in)`
Returns if the input RGB image can be losslessly converted to a grayscale image.
`private void`
RGBToGrayConversion.`process(RGBIntegerImage in, GrayIntegerImage out)`

## Uses of RGBIntegerImage in net.sourceforge.jiu.data

Subinterfaces of RGBIntegerImage in net.sourceforge.jiu.data
Modifier and Type
Interface
Description
`interface`
`RGB24Image`
An empty interface for RGB truecolor images with integer samples that are each eight bits large (thus, 24 bits per pixel).
`interface`
`RGB48Image`
An empty interface for RGB truecolor images with integer samples that are each sixteen bits large (thus, 48 bits per pixel).
Classes in net.sourceforge.jiu.data that implement RGBIntegerImage
Modifier and Type
Class
Description
`class`
`MemoryRGB24Image`
A class to store 24 bit RGB truecolor images in memory.
`class`
`MemoryRGB48Image`
A class to store 48 bit RGB truecolor images in memory.

## Uses of RGBIntegerImage in net.sourceforge.jiu.gui.awt

Classes in net.sourceforge.jiu.gui.awt that implement RGBIntegerImage
Modifier and Type
Class
Description
`class`
`BufferedRGB24Image`
A bridge class to use `BufferedImage` objects (class defined in the standard runtime library, package `java.awt.image`) as `RGB24Image` objects within JIU.